% FIGURE 3 

clear
 
% -- set plot context

gset term x11
gset nokey

debug=0; % 1: x11, 0: postscript
datafiledir=''

% -- define plots
xmin=1e-5;
xmax=20;
n=100;

% -- make plots
x=linspace(xmin,xmax,n);
f=probh0(x);
F=zeros(n,1);
for icol=1:n
  F(icol)=quad('probh0',0,x(icol));
end;

y=logspace(-7,0,n);
eta_approx=-11/4*log10(y)-5/4;

if debug==0
  gset term posts eps enhanced color dashed output "helvetica" 20
  gset output "figure3.eps";
end; 

xlabel('false alarm prob. (p_0)');
ylabel('threshold');
title(' ');
eval(sprintf('gset yrange [%f:%f]',xmin,xmax));
gset xrange [1e-7:1];
grid("on");
semilogx(1.0-F,x);
hold on
semilogx(y,eta_approx,'--');
hold off;

% -- relax
oneplot();
gset xtics autofreq
gset ytics autofreq
gset autoscale x
gset autoscale y
gset term x11

 